Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3508 in orxonox.OLD


Ignore:
Timestamp:
Mar 11, 2005, 10:34:35 PM (19 years ago)
Author:
bensch
Message:

orxonox/branche/soundManager: added sound_control and it compiles

Location:
orxonox/branches/soundEngine
Files:
2 added
4 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/soundEngine/config.h.in

    r3506 r3508  
    5959#undef HAVE_SDL_SDL_IMAGE_H
    6060
     61/* Define to 1 if you have the <SDL/SDL_mixer.h> header file. */
     62#undef HAVE_SDL_SDL_MIXER_H
     63
    6164/* Define to 1 if you have the `sqrt' function. */
    6265#undef HAVE_SQRT
  • orxonox/branches/soundEngine/configure

    r3506 r3508  
    60516051## CHECKING FOR HEADERS AND LIBS ##
    60526052###################################
     6053
     6054#-----------#
     6055# SDL_mixer #
     6056#-----------#
     6057
     6058for ac_header in SDL/SDL_mixer.h
     6059do
     6060as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6061if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6062  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6063echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6064if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6065  echo $ECHO_N "(cached) $ECHO_C" >&6
     6066fi
     6067echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6068echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6069else
     6070  # Is the header compilable?
     6071echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6072echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6073cat >conftest.$ac_ext <<_ACEOF
     6074/* confdefs.h.  */
     6075_ACEOF
     6076cat confdefs.h >>conftest.$ac_ext
     6077cat >>conftest.$ac_ext <<_ACEOF
     6078/* end confdefs.h.  */
     6079$ac_includes_default
     6080#include <$ac_header>
     6081_ACEOF
     6082rm -f conftest.$ac_objext
     6083if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6084  (eval $ac_compile) 2>conftest.er1
     6085  ac_status=$?
     6086  grep -v '^ *+' conftest.er1 >conftest.err
     6087  rm -f conftest.er1
     6088  cat conftest.err >&5
     6089  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6090  (exit $ac_status); } &&
     6091         { ac_try='test -z "$ac_c_werror_flag"
     6092                         || test ! -s conftest.err'
     6093  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6094  (eval $ac_try) 2>&5
     6095  ac_status=$?
     6096  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6097  (exit $ac_status); }; } &&
     6098         { ac_try='test -s conftest.$ac_objext'
     6099  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6100  (eval $ac_try) 2>&5
     6101  ac_status=$?
     6102  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6103  (exit $ac_status); }; }; then
     6104  ac_header_compiler=yes
     6105else
     6106  echo "$as_me: failed program was:" >&5
     6107sed 's/^/| /' conftest.$ac_ext >&5
     6108
     6109ac_header_compiler=no
     6110fi
     6111rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6112echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6113echo "${ECHO_T}$ac_header_compiler" >&6
     6114
     6115# Is the header present?
     6116echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6117echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6118cat >conftest.$ac_ext <<_ACEOF
     6119/* confdefs.h.  */
     6120_ACEOF
     6121cat confdefs.h >>conftest.$ac_ext
     6122cat >>conftest.$ac_ext <<_ACEOF
     6123/* end confdefs.h.  */
     6124#include <$ac_header>
     6125_ACEOF
     6126if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6127  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6128  ac_status=$?
     6129  grep -v '^ *+' conftest.er1 >conftest.err
     6130  rm -f conftest.er1
     6131  cat conftest.err >&5
     6132  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6133  (exit $ac_status); } >/dev/null; then
     6134  if test -s conftest.err; then
     6135    ac_cpp_err=$ac_c_preproc_warn_flag
     6136    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6137  else
     6138    ac_cpp_err=
     6139  fi
     6140else
     6141  ac_cpp_err=yes
     6142fi
     6143if test -z "$ac_cpp_err"; then
     6144  ac_header_preproc=yes
     6145else
     6146  echo "$as_me: failed program was:" >&5
     6147sed 's/^/| /' conftest.$ac_ext >&5
     6148
     6149  ac_header_preproc=no
     6150fi
     6151rm -f conftest.err conftest.$ac_ext
     6152echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6153echo "${ECHO_T}$ac_header_preproc" >&6
     6154
     6155# So?  What about this header?
     6156case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6157  yes:no: )
     6158    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6159echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6160    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6161echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6162    ac_header_preproc=yes
     6163    ;;
     6164  no:yes:* )
     6165    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6166echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6167    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6168echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6169    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6170echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6171    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6172echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6173    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6174echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6175    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6176echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6177    (
     6178      cat <<\_ASBOX
     6179## ---------------------------------------------- ##
     6180## Report this to orxonox-dev at mail.datacore.ch ##
     6181## ---------------------------------------------- ##
     6182_ASBOX
     6183    ) |
     6184      sed "s/^/$as_me: WARNING:     /" >&2
     6185    ;;
     6186esac
     6187echo "$as_me:$LINENO: checking for $ac_header" >&5
     6188echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6189if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6190  echo $ECHO_N "(cached) $ECHO_C" >&6
     6191else
     6192  eval "$as_ac_Header=\$ac_header_preproc"
     6193fi
     6194echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6195echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6196
     6197fi
     6198if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6199  cat >>confdefs.h <<_ACEOF
     6200#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6201_ACEOF
     6202
     6203else
     6204  { { echo "$as_me:$LINENO: error: sdl_mixer not found" >&5
     6205echo "$as_me: error: sdl_mixer not found" >&2;}
     6206   { (exit 1); exit 1; }; }
     6207fi
     6208
     6209done
     6210
     6211# checking for SDL_mixer-lib
     6212echo "$as_me:$LINENO: checking for main in -lSDL_mixer" >&5
     6213echo $ECHO_N "checking for main in -lSDL_mixer... $ECHO_C" >&6
     6214if test "${ac_cv_lib_SDL_mixer_main+set}" = set; then
     6215  echo $ECHO_N "(cached) $ECHO_C" >&6
     6216else
     6217  ac_check_lib_save_LIBS=$LIBS
     6218LIBS="-lSDL_mixer  $LIBS"
     6219cat >conftest.$ac_ext <<_ACEOF
     6220/* confdefs.h.  */
     6221_ACEOF
     6222cat confdefs.h >>conftest.$ac_ext
     6223cat >>conftest.$ac_ext <<_ACEOF
     6224/* end confdefs.h.  */
     6225
     6226
     6227int
     6228main ()
     6229{
     6230main ();
     6231  ;
     6232  return 0;
     6233}
     6234_ACEOF
     6235rm -f conftest.$ac_objext conftest$ac_exeext
     6236if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6237  (eval $ac_link) 2>conftest.er1
     6238  ac_status=$?
     6239  grep -v '^ *+' conftest.er1 >conftest.err
     6240  rm -f conftest.er1
     6241  cat conftest.err >&5
     6242  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6243  (exit $ac_status); } &&
     6244         { ac_try='test -z "$ac_c_werror_flag"
     6245                         || test ! -s conftest.err'
     6246  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6247  (eval $ac_try) 2>&5
     6248  ac_status=$?
     6249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6250  (exit $ac_status); }; } &&
     6251         { ac_try='test -s conftest$ac_exeext'
     6252  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6253  (eval $ac_try) 2>&5
     6254  ac_status=$?
     6255  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6256  (exit $ac_status); }; }; then
     6257  ac_cv_lib_SDL_mixer_main=yes
     6258else
     6259  echo "$as_me: failed program was:" >&5
     6260sed 's/^/| /' conftest.$ac_ext >&5
     6261
     6262ac_cv_lib_SDL_mixer_main=no
     6263fi
     6264rm -f conftest.err conftest.$ac_objext \
     6265      conftest$ac_exeext conftest.$ac_ext
     6266LIBS=$ac_check_lib_save_LIBS
     6267fi
     6268echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_mixer_main" >&5
     6269echo "${ECHO_T}$ac_cv_lib_SDL_mixer_main" >&6
     6270if test $ac_cv_lib_SDL_mixer_main = yes; then
     6271  FOUND_SDL_mixer=yes
     6272fi
     6273
     6274   if test x$FOUND_SDL_mixer = xyes ; then
     6275     LIBS="$LIBS -lSDL_mixer"
     6276   else
     6277      echo "------------------"
     6278      echo "SDL_mixer library not found."
     6279      echo "please install the SDL_mixer library, which can be found at http://www.libsdl.org/projects/SDL_mixer/"
     6280      echo "------------------"
     6281      exit -1
     6282   fi
     6283
    60536284
    60546285#-----------#
  • orxonox/branches/soundEngine/configure.ac

    r3506 r3508  
    367367
    368368#-----------#
     369# SDL_mixer #
     370#-----------#
     371AC_CHECK_HEADERS([SDL/SDL_mixer.h] ,,
     372      [AC_MSG_ERROR([sdl_mixer not found])])
     373# checking for SDL_mixer-lib
     374AC_CHECK_LIB([SDL_mixer], [main], [FOUND_SDL_mixer=yes])
     375   if test x$FOUND_SDL_mixer = xyes ; then
     376     LIBS="$LIBS -lSDL_mixer"
     377   else
     378      echo "------------------"
     379      echo "SDL_mixer library not found."
     380      echo "please install the SDL_mixer library, which can be found at http://www.libsdl.org/projects/SDL_mixer/"
     381      echo "------------------"
     382      exit -1
     383   fi   
     384
     385
     386#-----------#
    369387# SDL_Image #
    370388#-----------#
  • orxonox/branches/soundEngine/src/Makefile.am

    r3493 r3508  
    2525
    2626
    27 bin_PROGRAMS=orxonox
     27bin_PROGRAMS=orxonox sound
    2828
    2929orxonox_SOURCES= orxonox.cc \
     
    6060                 lib/math/curve.cc \
    6161                 glmenu/glmenu_imagescreen.cc
     62
     63sound_SOURCES = sound_control.cc
    6264
    6365noinst_HEADERS = orxonox.h \
Note: See TracChangeset for help on using the changeset viewer.